Search documentation of wx

# wxGridCellFloatRenderer (wx v2.4.3.1)

View Source

This class may be used to format floating point data in a cell.

See:

- `wxGridCellRenderer`

- `wxGridCellBoolRenderer`

- `wxGridCellNumberRenderer`

- `wxGridCellStringRenderer`

This class is derived, and can use functions, from:

- `wxGridCellStringRenderer`

- `wxGridCellRenderer`

wxWidgets docs: wxGridCellFloatRenderer

# Summary

## Types

wxGridCellFloatRenderer()

## Functions

destroy(This)

Destroys the object

getPrecision(This)

Returns the precision.

getWidth(This)

Returns the width.

new()

Equivalent to `new([])`.

new(Options)

Float cell renderer ctor.

setParameters(This, Params)

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)

setPrecision(This, Precision)

Sets the precision.

setWidth(This, Width)

Sets the width.

# Types

# wxGridCellFloatRenderer()

    -type wxGridCellFloatRenderer() :: wx:wx_object().

# Functions

# destroy(This)

    -spec destroy(This :: wxGridCellFloatRenderer()) -> ok.

Destroys the object

# getPrecision(This)

    -spec getPrecision(This) -> integer() when This :: wxGridCellFloatRenderer().

Returns the precision.

# getWidth(This)

    -spec getWidth(This) -> integer() when This :: wxGridCellFloatRenderer().

Returns the width.

# new()

    -spec new() -> wxGridCellFloatRenderer().

Equivalent to `new([])`.

# new(Options)

    -spec new([Option]) -> wxGridCellFloatRenderer()
                 when Option :: {width, integer()} | {precision, integer()} | {format, integer()}.

Float cell renderer ctor.

# setParameters(This, Params)

    -spec setParameters(This, Params) -> ok
                           when This :: wxGridCellFloatRenderer(), Params :: unicode:chardata().

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)

# setPrecision(This, Precision)

    -spec setPrecision(This, Precision) -> ok when This :: wxGridCellFloatRenderer(), Precision :: integer().

Sets the precision.

# setWidth(This, Width)

    -spec setWidth(This, Width) -> ok when This :: wxGridCellFloatRenderer(), Width :: integer().

Sets the width.